> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /getapp/products/reviews

> Get GetApp (getapp.com) product reviews by alias, category/alias path, or product URL

**Price:** 20 credits

**⚠️ Common errors:** 412: Product not found



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/getapp/products/reviews
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/getapp/products/reviews:
    post:
      tags:
        - /getapp
      summary: /getapp/products/reviews
      description: >-
        Get GetApp (getapp.com) product reviews by alias, category/alias path,
        or product URL


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Product not found
      operationId: __api_getapp_products_reviews_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetappProductReviewsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetappReview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetappProductReviewsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|//[^\s]+|(?:www\.|getapp\.com)[^\s]*|/?[A-Za-z0-9][A-Za-z0-9._/\-]*)$
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - product
        - count
    GetappReview:
      properties:
        '@type':
          type: string
          default: GetappReview
        id:
          type: string
        headline:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        pros:
          anyOf:
            - type: string
            - type: 'null'
        cons:
          anyOf:
            - type: string
            - type: 'null'
        advice:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        ratings:
          anyOf:
            - $ref: '#/components/schemas/GetappReviewRatings'
            - type: 'null'
        written_at:
          anyOf:
            - type: integer
            - type: 'null'
        source_site:
          anyOf:
            - type: string
            - type: 'null'
        vendor_response:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - $ref: '#/components/schemas/GetappReviewAuthor'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GetappReviewRatings:
      properties:
        '@type':
          type: string
          default: GetappReviewRatings
        value_for_money:
          anyOf:
            - type: number
            - type: 'null'
        functionality:
          anyOf:
            - type: number
            - type: 'null'
        ease_of_use:
          anyOf:
            - type: number
            - type: 'null'
        customer_support:
          anyOf:
            - type: number
            - type: 'null'
        recommendation:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    GetappReviewAuthor:
      properties:
        '@type':
          type: string
          default: GetappReviewAuthor
        name:
          anyOf:
            - type: string
            - type: 'null'
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        company_size:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````